<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingContract](./bitburner.codingcontract.md)

## CodingContract interface

Coding Contract API

<b>Signature:</b>

```typescript
export interface CodingContract 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [attempt(answer, filename, host, opts)](./bitburner.codingcontract.attempt.md) | Attemps a coding contract. |
|  [getContractType(filename, host)](./bitburner.codingcontract.getcontracttype.md) | Get the type of a coding contract. |
|  [getData(filename, host)](./bitburner.codingcontract.getdata.md) | Get the input data. |
|  [getDescription(filename, host)](./bitburner.codingcontract.getdescription.md) | Get the description. |
|  [getNumTriesRemaining(filename, host)](./bitburner.codingcontract.getnumtriesremaining.md) | Get the number of attempt remaining. |

